# Contributing

## Developing in the Open

Developing in the open creates a healthier working environment, a more collaborative process,
and just better software.

We welcome contributions.

The aws-cft-tools team handles development of this project in the open. As such, we use Github
to keep track of project development. We may not accept contributions if they introduce operational
complexity or don't align with the goals of the project. All contributions are subject to the license and in no way imply compensation for contributions.

## Feedback

To provide feedback on the code, please create an issue on GitHub. For other issues, please contact
the [Certify Help Desk](mailto:help@certify.sba.gov).

## How to Contribute

To contribute, simple create a pull request:

1. Fork this repository
2. Create a feature branch on which to work (`git checkout -b my-new-feature`)
3. Commit your work (we like commits that explain your thought process)
4. Submit a pull request
5. If there is an issue associated with your pull request, then link that issue.

For documentation changes, you can edit the file directly on GitHub and select the option to create a pull
request with your own branch.

## Tests and Continuous Integration

All pull requests must pass our continuous integration (CI) tests in order to be accepted.
We use [rubocop](https://github.com/bbatsov/rubocop) with a style guide to enforce style on Ruby
projects as part of the CI tests.

The agency reserves the right to change this policy at any time.
